import math

fileID = open('gcodeSmallParaboloid.txt','w')
fileID.write('For now, negative Z is up \r\n')
fileID.write('G20 \r\n')
fileID.write('F25 \r\n')
fileID.write('G54 G90 M03 (Select coordinate system, absolute mode \r\n')
fileID.write('G00 Z-0.1 \r\n')

for i in range (1, 64):
	depth = i*0.032
	radius = math.sqrt(depth/0.333)
	clockwise = 1
	Xend = -radius
	y = 0
	if radius > 1.25:
		
			Xend = -1.25
			temp = math.acos(1.25/radius)
			y = radius*math.sin(temp)
		
	absXend = abs(Xend)
	fileID.write('G00 X' + str("{:,.3f}".format(Xend)) + ' Y' + str('{:,.3f}'.format(y)) + '\r\n') 
	fileID.write('G02 X' + str('{:,.3f}'.format(-Xend)) + ' Y' + str('{:,.3f}'.format(y)) + ' R' + str('{:,.3f}'.format(absXend)) + '\r\n')
	fileID.write('G03 X' + str('{:,.3f}'.format(Xend)) + ' Y' + str('{:,.3f}'.format(y)) + ' R' + str('{:,.3f}'.format(absXend)) + '\r\n')
	fileID.write('G00 Z' + str('{:,.3f}'.format(depth)) + '\r\n')
	
	for j in range (i, 64):
		if radius < 2.45:
			
				x = radius
				y = 0
				if abs(radius) > 1.25:
					
						x = 1.25
						temp1 = math.acos(1.25/radius)
						y = radius*math.sin(temp1)
						fileID.write('G00 Y' + str('{:,.3f}'.format(y)) + '\r\n')
					
				Xend = x
				if clockwise == 1:
					
						fileID.write('G00 X' + str('{:,.3f}'.format(-Xend)) + '\r\n')
						fileID.write('G02 X' + str('{:,.3f}'.format(Xend)) + ' Y' + str('{:,.3f}'.format(y)) + ' R' + str('{:,.3f}'.format(radius)) + '\r\n')
					
				else:
					
						Xend = -x
						fileID.write('G00 X' + str('{:,.3f}'.format(-Xend)) + '\r\n')
						fileID.write('G03 X' + str('{:,.3f}'.format(Xend)) + ' Y' + str('{:,.3f}'.format(y)) + ' R' + str('{:,.3f}'.format(radius)) + '\r\n')
					
			
		radius = radius + 0.034
		clockwise = -clockwise
		
	fileID.write('G00 Z-0.1 \r\n')
	
fileID.close()